> For the complete documentation index, see [llms.txt](https://docs.number.tech/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.number.tech/api-reference/rest-api/query/recurring-schedules.md).

# Recurring Schedules

<mark style="color:orange;">post:</mark> <https://easypay5.com/APIcardProcNumber/v1.0.0/Query/RecurringSchedule>

{% tabs %}
{% tab title="Sample Request" %}

```clike
{
  "Query": "(E=1)&&(H=4)"
}
```

{% endtab %}

{% tab title="Sample Response" %}

```clike
{
  "RecurringSchedule_QueryResult": {
    "ErrCode": 0,
    "ErrMsg": "",
    "FunctionOk": true,
    "NumRecords": 3,
    "RespMsg": "Successfully Returned Transaction Records : 3",
    "Schedule": [
      {
        "AcctHolderID": 782,
        "AcctNo": 119,
        "ConsentID": 396,
        "ConsentType": "S",
        "DueOn": "2024-12-01T11:19:01.000Z",
        "ID": 282,
        "LastName": "Draper",
        "MerchID": 1,
        "OfTotalPayment": 100,
        "OfTotalPayments": 10,
        "PaymentAmt": 300,
        "PaymentNum": 1,
        "Period": "WEEKLY",
        "RPGUID": "adf98580-b4ab-42fc-bb99-01c89964afe9",
        "RStatus": "S",
        "SchedNum": 59,
        "Tries": 0,
        "TxID": -1
      }
    ]
  }
}
```

{% endtab %}

{% tab title="Header Parameters" %}
**SessKey** string <mark style="color:orange;">required</mark>

A unique session key used for authentication in API calls. This key is generated upon successful authentication and must be included in all subsequent requests.

Example: `A1842D663E9A4A72XXXXXXXX303541303234373138`

***

**Content-Type** string <mark style="color:orange;">required</mark>

Example: `application/json`

***

**Accept** string <mark style="color:orange;">required</mark>

Example: `application/json`
{% endtab %}

{% tab title="Body" %}
**Query** string <mark style="color:purple;">optional</mark>

A query string for obtaining specific recurring schedule records using Number's query language. Build logical terms and join them with '&&' for logical AND or '||' for logical OR. Use single quotes for text and date values. Refer to the variable chart for query composition:

* A: CONSENT ID - The unique identifier for the consent associated with the recurring schedule, e.g. (A=545).
* B: STATUS - The status of the recurring schedule, e.g. (B=-1).
  * -1: ALL
  * 1: SCHEDULED
  * 2: PAID
  * 3: FAILED
  * 4: CANCELLED
* C: DUE DATE - The date the next payment is due, e.g. (C='10/20/2024').
* D: ACCOUNT HOLDER LAST NAME - Last name of the account holder, e.g. (D LIKE '%MITH') for all names that end with 'MITH'.
* E: MERCHANT ID - The unique identifier for the merchant associated with the recurring schedule, e.g. (E=1).
* F: ACCOUNT NUMBER LAST 4 - The last 4 digits of the account number associated with the recurring schedule, e.g. (F='1234').
* G: SCHEDULE ID - The unique identifier for the recurring schedule, e.g. (G=12).
* H: TYPE - The type of recurring schedule, e.g. (H=-1).
  * -1: ALL
  * 3: RECURRING
  * 4: SUBSCRIPTION

Example: `(H=3)&&(C>='10/20/2024')`
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.number.tech/api-reference/rest-api/query/recurring-schedules.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
